Package com.databricks.jdbc.api

## Interface IDatabricksConnection

All Known Implementing Classes:
  `DatabricksConnection`

    public interface IDatabricksConnection

Interface providing Databricks specific Connection APIs.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `closeStatement​(IDatabricksStatement statement)` Closes a statement from the connection's active set.
`Connection` `getConnection()` Returns the corresponding sql connection object
`IDatabricksSession` `getSession()` Returns the underlying session for the connection.
`IDatabricksUCVolumeClient` `getUCVolumeClient()` Returns a UC Volume client instance
`void` `open()` Opens the connection and initiates the underlying session

### Method Detail

#### getSession

    IDatabricksSession getSession()

Returns the underlying session for the connection.

#### closeStatement

    void closeStatement​(IDatabricksStatement statement)

Closes a statement from the connection's active set.

Parameters:
  `statement` - `IDatabricksStatement` to be closed

#### getConnection

    Connection getConnection()

Returns the corresponding sql connection object

#### getUCVolumeClient

    IDatabricksUCVolumeClient getUCVolumeClient()

Returns a UC Volume client instance

#### open

    void open()
       throws DatabricksSQLException

Opens the connection and initiates the underlying session

Throws:
  `DatabricksSQLException`